// src/agentx/response.ts
function hasSubscriptions(response) {
  return Array.isArray(response.__subscriptions) && response.__subscriptions.length > 0;
}
function isErrorResponse(response) {
  return typeof response.error === "string" && response.error.length > 0;
}

// src/agentx/index.ts
function isRemoteConfig(config) {
  return "serverUrl" in config && typeof config.serverUrl === "string";
}
function isLocalConfig(config) {
  return !isRemoteConfig(config);
}
export {
  isRemoteConfig,
  isLocalConfig,
  isErrorResponse,
  hasSubscriptions
};

//# debugId=F8605387D25AC84164756E2164756E21
